UYAP(4) | Device Drivers Manual | UYAP(4)

# NAME

`uyap` —
USB YAP phone firmware loader

# SYNOPSIS

`uyap* at uhub?`

# DESCRIPTION

The `uyap` driver downloads firmware into a YAP phone. The device will then disconnect and reappear as a composite device with two audio pipes (handled by uaudio(4)) and a HID device (handled by uhid(4)).

# SEE ALSO

uaudio(4), uhid(4), usb(4)

# HISTORY

The `uyap` driver appeared in NetBSD 1.6.

January 2, 2001 | NetBSD 9.4